Subject: Re: bug#52295: 28.0.90; Killing text results in coding system complaint

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Dec 2021 12:50:09 +0200

On December 7, 2021 12:33:26 PM GMT+02:00, Po Lu <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> > So I think there's no way around stepping into intern_1 and the
> > functions it calls, and figuring out what happens there.  I thought
> > you said GDB doesn't work on the target?  Then perhaps printfs will
> > help?
> 
> Yes, GDB doesn't work there, but I modified coding_from_cp to look like
> this:
> 
> static Lisp_Object
> coding_from_cp (UINT codepage)
> {
>   char buffer[30];
>   Lisp_Object sym;
>   sprintf (buffer, "cp%d-dos", (int) codepage);
>   sym = intern (buffer);
>   Fprint (sym, Qexternal_debugging_output);
>   return sym;
> }
> 
> And it printed nil.
> 

Yes.  But I meant you should go deeper, into 'intern' and its subroutines, starting from intern_1.